Bug 57836 - neat crashes adding second ethernet interface
Summary: neat crashes adding second ethernet interface
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-27 03:49 UTC by Richard Keech
Modified: 2013-07-03 13:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-12 00:43:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Keech 2001-12-27 03:49:44 UTC
Description of Problem:

Neat crashes consistently when adding second ethernet interface.
One of the interfaces was used for ADSL with PPPoE.
In crashing, neat produces a trace which is provided.


Version-Release number of selected component (if applicable):

Using redhat-config-network-0.9.10-1.noarch.rpm provided by Trond.
System was P3 using RTL-8139 NICs.


How Reproducible:

Occured three times in three attempts on one system.  


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

System had all current errata applied.
The trace dump from neat is shown here:

Traceback (innermost last):
  File "/usr/sbin/neat", line 1210, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 392, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 271, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 283, in saveHardware
    hardwarelist.save()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 226, in save
    wvdial[hw.Name]['Modem'] = hw.Modem.DeviceName
AttributeError: 'None' object has no attribute 'DeviceName'

Local variables in innermost frame:
isdn: <netconfpkg.NCisdnhardware.ConfISDN instance at 84e73a8>
hw: <netconfpkg.HardwareList.Hardware instance at 848a3f8>
selfkey: Mem
wvdial: <netconfpkg.ConfSMB.ConfSMB instance at 84e6610>
modules: <netconfpkg.NCHardwareList.MyConfModules instance at 84e3420>
confkey: mem
self: [<netconfpkg.HardwareList.Hardware instance at 846ad90>,
<netconfpkg.HardwareList.Hardware instance at 848a3f8>,
<netconfpkg.HardwareList.Hardware instance at 848aa28>,
<netconfpkg.HardwareList.Hardware instance at 8491ff8>]

Comment 1 Ngo Than 2002-01-07 13:56:09 UTC
could you attach your /etc/wvdial.conf?

Comment 2 Richard Keech 2002-02-21 01:01:02 UTC
system currently has an empty wvdial.conf.  I can't be sure if this was the
case when the problem originally occured.

Comment 3 Harald Hoyer 2002-04-03 10:43:49 UTC
should be fixed with 0.9.21

Comment 4 Trond Eivind Glomsrxd 2002-04-12 00:43:20 UTC
Can you try the version at http://people.redhat.com/teg/neat/ ? (Currently 0.9.24-1)


Note You need to log in before you can comment on or make changes to this bug.